<template>
    <div>
      <h2>Add a New Blog Post</h2>
      <form @submit.prevent="addPost">
        <label for="title">Title:</label>
        <input type="text" id="title" v-model="newPost.title" required>
        <label for="subtitle">Subtitle:</label>
        <input type="text" id="subtitle" v-model="newPost.subtitle">
        <label for="body">Body:</label>
        <textarea id="body" v-model="newPost.body" required></textarea>
        <label for="tags">Tags (comma-separated):</label>
        <input type="text" id="tags" v-model="newPost.tags">
        <button type="submit">Add Post</button>
      </form>
    </div>
</template>
  
  <script>
  import gql from "graphql-tag";
  
  export default {
    data() {
      return {
        newPost: {
          title: "",
          subtitle: "",
          body: "",
          tags: "",
        },
      };
    },
    methods: {
      async addPost() {
        // Make a GraphQL mutation request to add a new post
        try {
          const response = await this.$apollo.mutate({
            mutation: gql`
              mutation ($input: AddPostInput!) {
                addPost(input: $input) {
                  post {
                    title
                    subtitle
                    body
                    tags {
                      name
                    }
                  }
                }
              }
            `,
            variables: {
              input: {
                title: this.newPost.title,
                subtitle: this.newPost.subtitle,
                body: this.newPost.body,
                tags: this.newPost.tags.split(",").map((tag) => tag.trim()),
              },
            },
          });
  
          // After adding the post, you can redirect to the feed page or perform any other action
          if (response.data.addPost) {
            this.$router.push("/feed"); // Redirect to the feed page
          }
        } catch (error) {
          console.error("Error adding a post:", error);
        }
      },
    },
  };
  </script>
  